package apicrypt

import "PaymentCenter/app/models/appmodel"

type (
	ApiDecrypt interface {
		Encrypt(decryptData interface{}) (encryptData string, err error)
		Decrypt(encryptData string) (decryptData map[string]interface{}, err error)
	}

	Rsa struct {
		App *appmodel.App
	}

	SM2 struct {
		App *appmodel.App
	}

	SM4 struct {
		App *appmodel.App
	}
)
